Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TStatementSqlNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TStatementSqlNode

All Implemented Interfaces:
  Visitable

    public class TStatementSqlNode

extends TParseTreeNode

Field Summary
`static int` | `AlterTableSqlNode`
`static int` | `block`
`static int` | `BreakSqlNode`
`static int` | `caseExpression`
`static int` | `CloseSqlNode`
`static int` | `ContinueSqlNode`
`static int` | `CreateFunctionSqlNode`
`static int` | `CreateIndexSqlNode`
`static int` | `CreateProcedureSqlNode`
`static int` | `createtable`
`static int` | `declare`
`static int` | `delete`
`static int` | `DropDbObjectSqlNode`
`static int` | `DropIndexSqlNode`
`static int` | `DropTableSqlNode`
`static int` | `DropViewSqlNode`
`static int` | `dummyListNode`
`static int` | `dummyNode`
`static int` | `ExecImmeNode`
`static int` | `ExecuteAsSqlNode`
`static int` | `ExecuteSqlNode`
`static int` | `FetchSqlNode`
`static int` | `ForSqlNode`
`static int` | `GrantSqlNode`
`static int` | `ifstmt`
`static int` | `insert`
`static int` | `LoopSqlNode`
`static int` | `MssqlBeginDialogSqlNode`
`static int` | `MssqlBeginTranSqlNode`
`static int` | `MssqlBulkInsert`
`static int` | `MssqlDeallocateSqlNode`
`static int` | `MssqlEndConversationSqlNode`
`static int` | `MssqlGotoSqlNode`
`static int` | `MssqlLabelSqlNode`
`static int` | `MssqlRaiserrorSqlNode`
`static int` | `MssqlRevertSqlNode`
`static int` | `MssqlSendOnConversationSqlNode`
`static int` | `MssqlSetSqlNode`
`static int` | `MssqlStmtStubSqlNode`
`static int` | `MssqlUpdateTextSqlNode`
`static int` | `OpenSqlNode`
`static int` | `RepeatSqlNode`
`static int` | `returnstmt`
`static int` | `RevokeSqlNode`
`static int` | `select`
`static int` | `SetSqlNode`
`static int` | `stubStmtSqlNode`
`static int` | `update`
`static int` | `WhileSqlNode`

Constructor Summary
`TStatementSqlNode()`

Method Summary
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TObjectName` | `getEndlabelName()`
`TObjectName` | `getLabelName()`
`TCustomSqlStatement` | `getStmt()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`void` | `setEndlabelName(TObjectName endlabelName)`
`void` | `setLabelName(TObjectName labelName)`
`void` | `setParsed(boolean parsed)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### caseExpression

    public static final int caseExpression

See Also:
  Constant Field Values

### stubStmtSqlNode

    public static final int stubStmtSqlNode

See Also:
  Constant Field Values

### select

    public static final int select

See Also:
  Constant Field Values

### delete

    public static final int delete

See Also:
  Constant Field Values

### update

    public static final int update

See Also:
  Constant Field Values

### insert

    public static final int insert

See Also:
  Constant Field Values

### createtable

    public static final int createtable

See Also:
  Constant Field Values

### CreateProcedureSqlNode

    public static final int CreateProcedureSqlNode

See Also:
  Constant Field Values

### CreateFunctionSqlNode

    public static final int CreateFunctionSqlNode

See Also:
  Constant Field Values

### block

    public static final int block

See Also:
  Constant Field Values

### returnstmt

    public static final int returnstmt

See Also:
  Constant Field Values

### ifstmt

    public static final int ifstmt

See Also:
  Constant Field Values

### declare

    public static final int declare

See Also:
  Constant Field Values

### CreateIndexSqlNode

    public static final int CreateIndexSqlNode

See Also:
  Constant Field Values

### DropTableSqlNode

    public static final int DropTableSqlNode

See Also:
  Constant Field Values

### DropIndexSqlNode

    public static final int DropIndexSqlNode

See Also:
  Constant Field Values

### DropViewSqlNode

    public static final int DropViewSqlNode

See Also:
  Constant Field Values

### AlterTableSqlNode

    public static final int AlterTableSqlNode

See Also:
  Constant Field Values

### ContinueSqlNode

    public static final int ContinueSqlNode

See Also:
  Constant Field Values

### BreakSqlNode

    public static final int BreakSqlNode

See Also:
  Constant Field Values

### GrantSqlNode

    public static final int GrantSqlNode

See Also:
  Constant Field Values

### FetchSqlNode

    public static final int FetchSqlNode

See Also:
  Constant Field Values

### OpenSqlNode

    public static final int OpenSqlNode

See Also:
  Constant Field Values

### CloseSqlNode

    public static final int CloseSqlNode

See Also:
  Constant Field Values

### ExecuteAsSqlNode

    public static final int ExecuteAsSqlNode

See Also:
  Constant Field Values

### ExecuteSqlNode

    public static final int ExecuteSqlNode

See Also:
  Constant Field Values

### RevokeSqlNode

    public static final int RevokeSqlNode

See Also:
  Constant Field Values

### DropDbObjectSqlNode

    public static final int DropDbObjectSqlNode

See Also:
  Constant Field Values

### ExecImmeNode

    public static final int ExecImmeNode

See Also:
  Constant Field Values

### MssqlSetSqlNode

    public static final int MssqlSetSqlNode

See Also:
  Constant Field Values

### MssqlBeginTranSqlNode

    public static final int MssqlBeginTranSqlNode

See Also:
  Constant Field Values

### MssqlRaiserrorSqlNode

    public static final int MssqlRaiserrorSqlNode

See Also:
  Constant Field Values

### MssqlGotoSqlNode

    public static final int MssqlGotoSqlNode

See Also:
  Constant Field Values

### MssqlLabelSqlNode

    public static final int MssqlLabelSqlNode

See Also:
  Constant Field Values

### MssqlDeallocateSqlNode

    public static final int MssqlDeallocateSqlNode

See Also:
  Constant Field Values

### MssqlBeginDialogSqlNode

    public static final int MssqlBeginDialogSqlNode

See Also:
  Constant Field Values

### MssqlSendOnConversationSqlNode

    public static final int MssqlSendOnConversationSqlNode

See Also:
  Constant Field Values

### MssqlEndConversationSqlNode

    public static final int MssqlEndConversationSqlNode

See Also:
  Constant Field Values

### MssqlRevertSqlNode

    public static final int MssqlRevertSqlNode

See Also:
  Constant Field Values

### MssqlBulkInsert

    public static final int MssqlBulkInsert

See Also:
  Constant Field Values

### MssqlUpdateTextSqlNode

    public static final int MssqlUpdateTextSqlNode

See Also:
  Constant Field Values

### MssqlStmtStubSqlNode

    public static final int MssqlStmtStubSqlNode

See Also:
  Constant Field Values

### ForSqlNode

    public static final int ForSqlNode

See Also:
  Constant Field Values

### SetSqlNode

    public static final int SetSqlNode

See Also:
  Constant Field Values

### WhileSqlNode

    public static final int WhileSqlNode

See Also:
  Constant Field Values

### RepeatSqlNode

    public static final int RepeatSqlNode

See Also:
  Constant Field Values

### LoopSqlNode

    public static final int LoopSqlNode

See Also:
  Constant Field Values

### dummyNode

    public static final int dummyNode

See Also:
  Constant Field Values

### dummyListNode

    public static final int dummyListNode

See Also:
  Constant Field Values

Constructor Detail

### TStatementSqlNode

    public TStatementSqlNode()

Method Detail

### getStmt

    public TCustomSqlStatement getStmt()

### setParsed

    public void setParsed(boolean parsed)

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### setEndlabelName

    public void setEndlabelName(TObjectName endlabelName)

### getEndlabelName

    public TObjectName getEndlabelName()

### setLabelName

    public void setLabelName(TObjectName labelName)

### getLabelName

    public TObjectName getLabelName()

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  Description copied from class: `TParseTreeNode`
  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD